version: "3.8"

services:
  excalidraw:
    build:
      context: .
      args:
        - NODE_ENV=production
    container_name: excalidraw
    ports:
      - "3302:80"
    restart: on-failure
    stdin_open: true
    healthcheck:
      disable: true

  excalidraw-room:
    build:
      context: ./excalidraw-room/.
    environment:
      # Collaboration WebSocket
      PORT: 3002
    ports:
      - '8802:3002'
